[SRU][F oracle-5.11][PATCH 1/1] UBUNTU: [Config]: Revert "UBUNTU: [Config] disable AUFS (second time)"
Krzysztof Kozlowski
krzysztof.kozlowski at canonical.com
Fri Jul 16 10:44:23 UTC 2021
BugLink: https://bugs.launchpad.net/bugs/1936478
This reverts commit e0a18a43d480ce1f99a85ff636625f95a979d5b8.
In initial oracle-5.11 edge backport, the local-mangle was copied from
Focal/hwe-5.11 which contains Focal specific settings, like enabling
AUFS. Later this was removed in commit e0a18a43d480 ("UBUNTU:
[Config] disable AUFS (second time)") which was wrong - Focal is still
supporting AUFS in all its kernels.
Bring back AUFS.
Signed-off-by: Krzysztof Kozlowski <krzysztof.kozlowski at canonical.com>
---
.../scripts/helpers/local-mangle | 45 +++++++++++++++++++
1 file changed, 45 insertions(+)
diff --git a/debian.oracle-5.11/scripts/helpers/local-mangle b/debian.oracle-5.11/scripts/helpers/local-mangle
index 894f6aa2ca5b..edacc036e614 100755
--- a/debian.oracle-5.11/scripts/helpers/local-mangle
+++ b/debian.oracle-5.11/scripts/helpers/local-mangle
@@ -50,6 +50,51 @@ sed -i "s/CONFIG_INTEL_IOMMU_SVM policy<{'amd64': 'y',
# 'ARM64_BTI_KERNEL'.
sed -i "/CONFIG_ARM64_BTI_KERNEL policy<{'arm64': 'y'}>/d" ${DEBIAN}/config/annotations
+# Re-enable AUFS
+#
+# We are still supporting AUFS in focal, so make sure to re-enable it.
+cat << EOF >> ${DEBIAN}/config/config.common.ubuntu
+CONFIG_AUFS_BDEV_LOOP=y
+# CONFIG_AUFS_BRANCH_MAX_1023 is not set
+CONFIG_AUFS_BRANCH_MAX_127=y
+# CONFIG_AUFS_BRANCH_MAX_32767 is not set
+# CONFIG_AUFS_BRANCH_MAX_511 is not set
+# CONFIG_AUFS_BR_FUSE is not set
+CONFIG_AUFS_BR_HFSPLUS=y
+# CONFIG_AUFS_BR_RAMFS is not set
+# CONFIG_AUFS_DEBUG is not set
+CONFIG_AUFS_DIRREN=y
+CONFIG_AUFS_EXPORT=y
+# CONFIG_AUFS_FHSM is not set
+CONFIG_AUFS_FS=m
+# CONFIG_AUFS_HNOTIFY is not set
+CONFIG_AUFS_INO_T_64=y
+# CONFIG_AUFS_RDU is not set
+CONFIG_AUFS_SBILIST=y
+# CONFIG_AUFS_SHWH is not set
+CONFIG_AUFS_XATTR=y
+EOF
+
+TMPFILE=$(mktemp)
+cat <<EOF >${TMPFILE} || true
+CONFIG_AUFS_FS policy<{'amd64': 'm', 'arm64': 'm', 'armhf': 'm', 'i386': 'm', 'ppc64el': 'm', 's390x': 'm'}>
+CONFIG_AUFS_HNOTIFY policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_EXPORT policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
+CONFIG_AUFS_XATTR policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
+CONFIG_AUFS_FHSM policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_RDU policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_DIRREN policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', 's390x': 'y'}>
+CONFIG_AUFS_SHWH policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_BR_RAMFS policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_BR_FUSE policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+CONFIG_AUFS_BR_HFSPLUS policy<{'amd64': 'y', 'arm64': 'y', 'armhf': 'y', 'i386': 'y', 'ppc64el': 'y', }>
+CONFIG_AUFS_DEBUG policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'i386': 'n', 'ppc64el': 'n', 's390x': 'n'}>
+#
+CONFIG_AUFS_EXPORT note<LP:1121699>
+EOF
+gawk -i inplace "/CONFIG_AUFS_FS policy<{'amd64': 'n', 'arm64': 'n', 'armhf': 'n', 'ppc64el': 'n', 's390x': 'n'}>/{system(\"cat ${TMPFILE}\");next}1" ${DEBIAN}/config/annotations
+rm -f ${TMPFILE}
+
# Override options in rules.d/hooks.mk (normally master does not have this
# file but it got added for generic annotations enforcement.
cat <<EOD >>${DEBIAN}/rules.d/hooks.mk
--
2.27.0
More information about the kernel-team
mailing list